


player = {}
player.x = 5
player.xvel = 0
player.yvel = 0
player.speed = 1500
player.speedlim = 1000
player.width = 50
player.height = 50
player.red = 255
player.green = 0
player.blue = 0
player.y = love.graphics.getHeight() - player.height

player.friction = 1.5



function player:draw()
	love.graphics.setColor(player.red, player.green,player.blue)
	love.graphics.rectangle('fill',player.x,player.y,player.width,player.height)	
end
function player:move(dt)
	player.x = player.x + player.xvel * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))

	if love.keyboard.isDown("d") and
	player.xvel < player.speedlim then
		player.xvel = player.xvel + player.speed * dt
	end
	if love.keyboard.isDown('a') and
	player.xvel > -player.speedlim then
		player.xvel = player.xvel - player.speed * dt
	end

	if player.x < 0 then
		player.x = 0
		player.xvel = 0
	end
	if player.x + player.width > love.graphics.getWidth() then
		player.x = love.graphics.getWidth() - player.width
		player.xvel = 0
	end
end
function player:shoot(key)
	if key == ' ' then
		bullet:spawn(player.x + (player.width / 2),player.y - 16)
	end
end






