

button = {}

function button:spawn(x,y,text,id)
	table.insert(button, {x = x, y = y, text = text, id = id,red = 0,green = 0, blue = 0})
end
function button:draw()
	for i,v in ipairs(button) do
		love.graphics.setColor(v.red,v.green,v.blue)
		love.graphics.setFont(medium)
		love.graphics.print(v.text,v.x,v.y)
	end
end
function button:click(x,y)
	for i,v in ipairs(button) do
		if mousex > v.x and
		mousex < v.x + medium:getWidth(v.text) and
		mousey > v.y and
		mousey < v.y + medium:getHeight() then
			if v.id == "start" then
				gamestate = "playing"
			end
			if v.id == "quit" then
				love.event.quit()
			end
		end
	end
end
function button:check()
	for i,v in ipairs(button) do
		if mousex > v.x and
		mousex < v.x + medium:getWidth(v.text) and
		mousey > v.y and
		mousey < v.y + medium:getHeight() then
			v.red = 100
			v.green = 100
			v.blue = 100
		else
			v.red = 0
			v.green = 0
			v.blue = 0
		end
	end
end

function menu_load()
	if load_menu == true then
		button:spawn(5,100,'Start','start')
		button:spawn(5,275,'Quit','quit')

		load_menu = false
	end
end









