special = {}

function special:spawn(x,y,direction)
	table.insert(special, {x = x, y = y, width = 25, height = 25, powerup = math.random(1,2),direction = direction})
end

function special:draw()
	for i,v in ipairs(special) do
		love.graphics.setColor(0,0,255)
		love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
	end
end
function special:move(dt)
	for i,v in ipairs(special) do
		v.y = v.y + 150 * dt
		if v.direction == 1 then
			v.x = v.x + 100 * dt
		else
			v.x = v.x - 100 * dt
		end



		if v.x > screenwidth then
			v.x = 0
		end
		if v.x + v.width < 0 then
			v.x = screenwidth
		end



		if v.y > screenheight then
			table.remove(special, i)
		end
	end
end
function special:ow()
	for i,v in ipairs(special) do
		for ia,va in ipairs(bullet) do
			if v.x + v.width > va.x and
			v.x < va.x + va.width and
			v.y + v.height > va.y and
			v.y < va.y + va.height then
				powerup:spawn(v.x,v.y,math.random(1,1))


				table.remove(bullet, ia)
				table.remove(special, i)
			end
		end
	end
end

powerup = {}
function powerup:spawn(x,y,id)
	table.insert(powerup, {speed = 75, x = x, y = y, width = 10, height = 10,id = id})
end
function powerup:draw()
	for i,v in ipairs(powerup) do
		love.graphics.setColor(255,0,255)
		love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
	end
end

power = {}

function power:spawn(id)
	table.insert(power, {id = id, active = true,timer = 0})
end


function powerup:mech(dt)
	for i,v in ipairs(powerup) do
		v.y = v.y + 100 * dt
		if v.x + v.width > player.x and
		v.x < player.x + player.width and
		v.y + v.height > player.y and
		v.y < player.y + player.height then
			if v.id == 1 then
				power:spawn('speed')
			end


			table.remove(powerup, i)
		end
	end
end




function power:mech(dt)
	for i,v in ipairs(power) do
		v.timer = v.timer + dt
		if v.timer > 10 then
			table.remove(power, i)
			if v.id == "speed" then
				player.speed = 1500
			end
		end
		if v.id == 'speed' then
			player.speed = 2200

		end

	end
end







